> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Qr Code



## OpenAPI

````yaml /api/openapi-cutmake.json post /skus/qr_code
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /skus/qr_code:
    post:
      tags:
        - SKU Management
      summary: Get Qr Code
      operationId: get_qr_code_skus_qr_code_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MaterialSKUCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MaterialSKUCreate:
      properties:
        ref_id:
          type: string
          title: Ref Id
        qr_data:
          type: string
          title: Qr Data
        sku_cost_override:
          anyOf:
            - type: number
            - type: 'null'
          title: Sku Cost Override
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
      type: object
      required:
        - ref_id
        - qr_data
      title: MaterialSKUCreate
      example:
        color: Red
        qr_data: MAT001-RED-MEDIUM
        ref_id: SKU-RED-M
        size: Medium
        sku_cost_override: 15.5
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````